class Game < ActiveRecord::Base
  belongs_to :player1, class_name: 'User', foreign_key: 'player1'
  belongs_to :player2, class_name: 'User', foreign_key: 'player2'
  has_many :moves
  has_many :comments, as: :commentable

  def self.find_ongoing_games(user)
    Game.where("result = 0 and (player1 = #{user} or player2 = #{user})")
  end
  
  def self.find_finished_games(user)
    Game.where("result > 0 and (player1 = #{user} or player2 = #{user})")
  end
end
