require 'test_helper'

class UsersControllerTest < ActionController::TestCase
  test "should get new" do
    get :new
    assert_response :success
    assert_select "h1", "Registration"
  end

  test "should get edit" do
    get :edit, { id: users(:jatekos1).id}, { user: users(:jatekos1).id}
    assert_response :success
  end

  test "should get index page" do
    get :index, { page: 2 }
    assert_response :success
    assert_select "li", 0
  end

  test "should get index" do
    get :index
    assert_response :success
  end

  test "should get forgotten" do
    get :forgotten
    assert_response :success
  end
end
