require 'test_helper'

class NewGameTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  test "new game" do
    get '/say/hello'
    assert_response :success
    
    @user = users(:jatekos1)
    post_via_redirect '/sessions/create', 
      {:username=>@user.username, :password=>'titok'},
      { "HTTP_REFERER" => '/say/hello' }
    assert_equal session[:user], @user.id
    
    get '/users/index'
    assert_response :success
    assert_select "li", User.all.size
    
    g = Game.all.size
    get '/games', { :cid => users(:jatekos2)}
    assert_response :success
    assert_equal g, Game.all.size
    
  end
end
