require 'test_helper'

class UserTest < ActiveSupport::TestCase
  test "the truth" do
  #def test_the_truth
     assert true, "Valami nagy baj van, ha ez nem true"
  end
  
  test "cannot save without username" do
    u = User.new
    assert !u.save, "Houston"
  end
  
  test "cannot save with existing username" do
    u = User.new
    u.username = 'en'
    assert !u.save, " we have a problem"
  end
  
  test "cannot save user with username of 2 characters" do
    u = User.new
    u.username = "jo"
    assert !u.save
  end
  
  test "count games of en" do
    @user = users(:jatekos1)
    assert_equal @user.games.size, Game.all.size
  end
end
